Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyClassDoc

Method Summary
`def` | `constructors()`
`def` | `constructors(boolean filter)`
`boolean` | `definesSerializableFields()`
`def` | `enumConstants()`
`def` | `fields()`
`def` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(String className)`
`String` | `getFullPathName()`
`String` | `getRelativeRootPath()`
`def` | `importedClasses()`
`def` | `importedPackages()`
`def` | `innerClasses()`
`def` | `innerClasses(boolean filter)`
`def` | `interfaceTypes()`
`def` | `interfaces()`
`boolean` | `isAbstract()`
`boolean` | `isExternalizable()`
`boolean` | `isSerializable()`
`def` | `methods()`
`def` | `methods(boolean filter)`
`def` | `serializableFields()`
`def` | `serializationMethods()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`

Method Detail

### constructors

    public def constructors()

### constructors

    public def constructors(boolean filter)

### definesSerializableFields

    public boolean definesSerializableFields()

### enumConstants

    public def enumConstants()

### fields

    public def fields()

### fields

    public def fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(String className)

### getFullPathName

    public String getFullPathName()

### getRelativeRootPath

    public String getRelativeRootPath()

### importedClasses

    public def importedClasses()

### importedPackages

    public def importedPackages()

### innerClasses

    public def innerClasses()

### innerClasses

    public def innerClasses(boolean filter)

### interfaceTypes

    public def interfaceTypes()

### interfaces

    public def interfaces()

### isAbstract

    public boolean isAbstract()

### isExternalizable

    public boolean isExternalizable()

### isSerializable

    public boolean isSerializable()

### methods

    public def methods()

### methods

    public def methods(boolean filter)

### serializableFields

    public def serializableFields()

### serializationMethods

    public def serializationMethods()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()